void __regargs __autoopenfail(char *);

#include <constructor.h>
#include <proto/services.h>

extern struct Library *OpenLibrary( UBYTE *libName, unsigned long version );
extern void CloseLibrary( struct Library *library );

struct Library *ServicesBase ;
static void *libbase;
extern long __netlibversion;

CBMLIB_CONSTRUCTOR(openservices)
{
    ServicesBase = libbase = (void *)OpenLibrary("services.library", __netlibversion);
    if (ServicesBase == NULL) 
    {
        __autoopenfail("services.library");
        return 1;
    }
    
    return 0;
}

CBMLIB_DESTRUCTOR(closeservices)
{
    if (libbase)
    {
        CloseLibrary((struct Library *)libbase);
        libbase = ServicesBase = NULL;
    }
}
